pcl::io::real_sense::RealSenseDevice Class Reference

`#include <pcl/io/real_sense/real_sense_device_manager.h>`

Inheritance diagram for pcl::io::real_sense::RealSenseDevice:

## Public Types

using | Ptr = std::shared_ptr< RealSenseDevice >

## Public Member Functions

const std::string & | getSerialNumber ()
PXCCapture::Device & | getPXCDevice ()

## Static Public Member Functions

static void | reset (RealSenseDevice::Ptr &device)
| Reset the state of given device by releasing and capturing again. More...

## Friends

class | RealSenseDeviceManager

## Detailed Description

Definition at line 131 of file real_sense_device_manager.h.

## Member Typedef Documentation

## Ptr

using pcl::io::real_sense::RealSenseDevice::Ptr = std::shared_ptr<RealSenseDevice>

Definition at line 136 of file real_sense_device_manager.h.

## Member Function Documentation

## getPXCDevice()

PXCCapture::Device& pcl::io::real_sense::RealSenseDevice::getPXCDevice | ( |  | ) |

inline

Definition at line 142 of file real_sense_device_manager.h.

## getSerialNumber()

const std::string& pcl::io::real_sense::RealSenseDevice::getSerialNumber | ( |  | ) |

inline

Definition at line 139 of file real_sense_device_manager.h.

## reset()

static void pcl::io::real_sense::RealSenseDevice::reset | ( | RealSenseDevice::Ptr & | device | ) |

inline static

Reset the state of given device by releasing and capturing again.

Definition at line 146 of file real_sense_device_manager.h.

References pcl::io::real_sense::RealSenseDeviceManager::getInstance().

## Friends And Related Function Documentation

## RealSenseDeviceManager

friend class RealSenseDeviceManager

friend

Definition at line 155 of file real_sense_device_manager.h.

The documentation for this class was generated from the following file:

- pcl/io/real_sense/real_sense_device_manager.h